@import url('https://fonts.googleapis.com/css?family=Roboto:400,500,700');

/* GERAL */

body{
    font-family: 'Roboto', sans-serif;
    color: #585858;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    height: 100vh; /* Definindo a altura igual à viewport */
    margin: 0; /* Removendo margens padrão do body */
    overflow-y: auto; /* Adicionando scroll vertical quando necessário */
    overflow-x: hidden; /* Escondendo scroll horizontal */
    max-height: 100vh; /* Limitando altura máxima à viewport */
}

/* Texto */

a, a:hover{
    color: #1b93d2;
    font-size: 1em;
}

.navbar-dark .navbar-nav .nav-link:focus, .navbar-dark .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link {
    color: #1b93d2;
    font-weight: bold;
}

h1, h2, h3, h4{
    font-weight: 700;
}

.tituloPagina {
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    color: #4c4c4c;
    margin: 60px 0;
}

i {
    font-weight: normal;
}

.logo__menor {
    max-width: 300px;
    height: auto;
}

.logoPromocao {
    border: 4px solid #3e3e3e;
    border-radius: 4px;
}

.imagemPromocao {
    border: 4px solid #CCCCCC;
    border-radius: 4px;
}

/* RodapÃƒÆ’Ã‚Â© */

.rodape {
    background: #3e3e3e;
    color: #fff;
}

.rodape__transparente {
    background-color: transparent;
    padding: 1rem 0;
    color: #fff;
}

/* Alertas */

.alert {
    border-radius: 0;
    padding: 1.25rem;
    margin-bottom: 0;
    text-align: center;
    font-weight: 700;
}

.alert > a{
    color: #fff;
    text-decoration: underline;
}

.alert > a:hover{
    color: #fff;
}

.alert-success {
    background-color: #28A745;
    border: none;
    color: #fff;
}

.alert-danger {
    background-color: #DC3545;
    border: none;
    color: #fff;
}

/* BotÃƒÆ’Ã‚Â£o */

.btn-primary,
.btn-primary:hover {
    color: #fff;
    background-color: #29a0d9;
    border-color: #29a0d9;
    font-weight: 700;
    font-size: 16px;

}

/* Navbar */

.navbar {
    padding: 1rem;
}


.bg-light {
    /* background-color: rgba(0,0,0,.03) !important; */
    background-color:#fff !important;
    box-shadow: 1px 1px 3px #ccc;
}


.navbar-dark .navbar-nav .nav-link {
    color: #29a0d9;
    font-weight: 700;
    font-size: 18px;
}

/* CabeÃƒÆ’Ã‚Â§alho */

header {
    /* background-color: #22313f;
    border-bottom: 1px solid rgba(0,0,0,.125); */
    padding: 25px 0;
    display: flex;
    align-items: center;
    /* background-image: radial-gradient(circle, #ffd3d3, #ffbbbb, #ffa3a2, #ff8988, #ff6f6f); */
    /* background-image: url('../images/fundo.png'), radial-gradient(circle, #ffd3d3, #ffc3c3, #ffb3b3, #ffa3a2, #ff9292); */
    /* background-blend-mode: hard-light; */
    /* opacity: 0.5; */
    /* background-size: contain; */
}

.dadosVendedor {
    color: #ffffff;
    padding: 10px;
    background-color: #29a0d9;
    font-weight: 600;
    border-radius: 4px;
    margin: 5px;
    /* overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis; */
    /* max-width: 300px; */
    /* text-align: left; */
}

@media screen and (min-width: 768px){
    .dadosVendedor {
        max-width: 350px;
    }
}
/* LOGIN */

.paginaLogin {
    /* background: #22313f; */
    /*background-image: url("../images/fundo-header.png"), radial-gradient(circle, #ffffff, #f8f8f8, #f2f2f2, #ebebeb, #e5e5e5);*/
    background-image: radial-gradient(circle, #ffffff, #f8f8f8, #f2f2f2, #ebebeb, #e5e5e5);
    background-size: contain;
}

.centralizarLogo{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.barraLogin{
    background-color: #fff;
    padding: 1rem 0;
    box-shadow: 2px 3px 11px 0px rgba(98, 98, 98, 0.35);
}

.logo-150{
    max-width: 180px;
}

.formulario-cadastro{
    margin: 20px 0;
}

.propaganda{
    margin: 20px 0;
}

.paginaAcesso{
    margin: 4rem 0;
}

.datepicker table tr td.today,
.datepicker table tr td.today:hover,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today.disabled:hover,
.datepicker table tr td.today:hover,
.datepicker table tr td.today:hover:hover,
.datepicker table tr td.today.disabled:hover,
.datepicker table tr td.today.disabled:hover:hover,
.datepicker table tr td.today:active,
.datepicker table tr td.today:hover:active,
.datepicker table tr td.today.disabled:active,
.datepicker table tr td.today.disabled:hover:active,
.datepicker table tr td.today.active,
.datepicker table tr td.today:hover.active,
.datepicker table tr td.today.disabled.active,
.datepicker table tr td.today.disabled:hover.active,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today:hover.disabled,
.datepicker table tr td.today.disabled.disabled,
.datepicker table tr td.today.disabled:hover.disabled,
.datepicker table tr td.today[disabled],
.datepicker table tr td.today:hover[disabled],
.datepicker table tr td.today.disabled[disabled],
.datepicker table tr td.today.disabled:hover[disabled]

*{
    border-radius: 2px;
}

.marcas {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: space-around;
    width: 100%;
}

.marcas img {
    width: 15%;
}

.btn-primary.disabled, .btn-primary:disabled, a.disabled, .a:disabled{
    background: #29a0d9;
    border: #29a0d9;
    cursor: not-allowed;

}

.btn.disabled, .btn:disabled{
    opacity: 0.7;
}

.promocao-encerrada{
    cursor: not-allowed;
}

a:hover{
    text-decoration: none;
}

.promocao{
    max-width: 350px;
    margin: 0 auto;
}

.navbar-toggler{
    background-color: transparent;
}

.img-promocoes{
    margin-top: 50px;
}

@media screen and (min-width: 900px){
    .img-promocoes{
        max-width: 820px;
        margin-top: 0;
    }
}

.small{
    font-size: 10px;
}